# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Victim_Pseudo_LRU			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Library ]------------------------------------------
Victim_Pseudo_LRU_LIBRARY		= 	-lVictim_Pseudo_LRU		\
						$(Behavioural_LIBRARY)	

Victim_Pseudo_LRU_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_Pseudo_LRU/lib	\
						$(Behavioural_DIR_LIBRARY)	

#-----[ Rules ]--------------------------------------------

Victim_Pseudo_LRU_library		:
				@\
				$(MAKE)  Behavioural_library; \
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_Pseudo_LRU --makefile=Makefile;

Victim_Pseudo_LRU_library_clean	:
				@\
				$(MAKE)  Behavioural_library_clean; \
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_Pseudo_LRU --makefile=Makefile clean;
